Bug 184585 - [exp-run] Update graphics/jbigkit to 2.0 [patch]
Summary: [exp-run] Update graphics/jbigkit to 2.0 [patch]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-07 21:40 UTC by Adam Weinberger
Modified: 2014-07-30 09:10 UTC (History)
2 users (show)

See Also:
bapt: exp-run+


Attachments
jbigkit.patch (12.25 KB, patch)
2013-12-07 21:40 UTC, Adam Weinberger
no flags Details | Diff
jbigkit2.patch (8.27 KB, patch)
2014-02-02 19:10 UTC, Adam Weinberger
no flags Details | Diff
jbig-2.1.patch (9.94 KB, patch)
2014-04-08 14:36 UTC, Mikhail T.
no flags Details | Diff
jbigkit-update.diff (9.99 KB, patch)
2014-04-25 06:02 UTC, Mikhail T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2013-12-07 21:40:01 UTC
Seeing as how it has been *five years* since version 2.0 was released, it's
probably time to update the port.

Attached patch updates to version 2.0, uses staging, respects PORT_OPTIONS:MDOCS,
renames patches to proper names, and moves install logic to the port Makefile where
it belongs.

A number of ports depend on this, so we should request an exp-run for this. Maintainer,
once you approve these changes I will steward it through the rest of the way.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-07 21:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-12-07 21:40:16 UTC
Maintainer of graphics/jbigkit,

Please note that PR ports/184585 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184585

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-12-07 21:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Adam Weinberger freebsd_committer 2013-12-29 16:38:53 UTC
State Changed
From-To: feedback->open

I'm going to consider this a maintainer timout. I'll take this 
and usher it through the rest of the way. mi, shoot me an email 
if you want otherwise. 


Comment 5 Adam Weinberger freebsd_committer 2013-12-29 16:38:53 UTC
Responsible Changed
From-To: mi->adamw

I'm going to consider this a maintainer timout. I'll take this 
and usher it through the rest of the way. mi, shoot me an email 
if you want otherwise.
Comment 6 Adam Weinberger freebsd_committer 2013-12-29 16:40:03 UTC
Responsible Changed
From-To: adamw->portmgr

Assigning to portmgr. Can we please do an exp-run with this change? 
It *should* be a NOOP, as the old jbigkit library hasn't really 
changed, but I'd like to make sure of it.
Comment 7 Bryan Drewery freebsd_committer 2014-01-20 19:47:26 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run (currently behind)
Comment 8 Bryan Drewery freebsd_committer 2014-02-02 18:25:32 UTC
Sorry, I have been behind. I went to do the exp-run on this today.
Unfortunately the patch does not apply.

The patch modifies files/patch-Makefile, files/patch-pbmtools_Makefile
and files/patch-libjbig_Makefile.

I don't see these files in head or ever existing for graphics/jbigkit


-- 
Regards,
Bryan Drewery
Comment 9 adamw 2014-02-02 18:39:01 UTC
Yeah, you're right. I had attempted to include some svn mv stuff in 
there to improve patch filenames but it didn't come out clearly in the 
patch.

The files/ stuff will apply if you:
# mv patch-aa patch-Makefile
# mv patch-ab patch-libjbig_Makefile
# mv patch-ac patch-pbmtools_Makefile

The Makefile portion is also not likely to apply, as miwi just added 
STAGE support to the port.

I'll redo the patch again, but if you sit on it for a month again then 
you get to recreate it next time ;-)

# Adam


--
Adam Weinberger
adamw@adamw.org
http://www.adamw.org
Comment 10 Adam Weinberger freebsd_committer 2014-02-02 19:10:45 UTC
Regenerated patch attached. If I attached it wrong I can put it up on
people.freebsd.org.

# Adam


--
Adam Weinberger
adamw@adamw.org
http://www.adamw.org
Comment 11 Bryan Drewery freebsd_committer 2014-02-02 20:18:55 UTC
> On Feb 2, 2014, at 13:10, Adam Weinberger <adamw@FreeBSD.org> wrote:
> 
> Regenerated patch attached. If I attached it wrong I can put it up on
> people.freebsd.org.
> 

Thanks, starting it now. Will have results tomorrow.

> # Adam
> 
> 
> --
> Adam Weinberger
> adamw@adamw.org
> http://www.adamw.org
> <jbigkit2.patch>
Comment 12 Bryan Drewery freebsd_committer 2014-02-05 02:17:54 UTC
jbigkit failed:

http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_184585/2014-02-02_20h39m24s/logs/errors/jbigkit-2.0.log

-- 
Regards,
Bryan Drewery
Comment 13 Bryan Drewery freebsd_committer 2014-02-11 16:56:31 UTC
Responsible Changed
From-To: bdrewery->adamw

back to adamw, jbigkit fails
Comment 14 adamw 2014-04-08 15:18:36 UTC
Phew, I'm relieved here... I couldn't figure out the compilation problem.

Your patch should probably avoid NOPORTDOCS though...

# Adam



-- 
Adam Weinberger
adamw@adamw.org
http://www.adamw.org
Comment 15 Mikhail Teterin freebsd_committer 2014-04-18 14:26:31 UTC
Responsible Changed
From-To: adamw->portmgr

Can we, please, have another exp-run? Thank you.
Comment 16 Bryan Drewery freebsd_committer 2014-04-18 16:00:21 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 17 Bryan Drewery freebsd_committer 2014-04-21 02:07:39 UTC
Responsible Changed
From-To: bdrewery->adamw

exp-run done, no new failures.
Comment 18 Mikhail Teterin freebsd_committer 2014-04-21 05:51:26 UTC
Responsible Changed
From-To: adamw->mi

I'll see to it...
Comment 19 Mikhail T. 2014-04-25 06:02:15 UTC
Unfortunately, according to Markus Kuhn -- the author of jbigkit -- the
changes between 1.6 and 2.x are significant enough to require bumping
the shared library's major number: welcome libjbig.so.2.

The attached patch includes that and, I suspect, warrants yet another
exp-run.
Comment 20 Mikhail Teterin freebsd_committer 2014-04-25 06:02:26 UTC
Responsible Changed
From-To: mi->portmgr

Another exp-run is, likely, needed because the major number of 
libjbig.so must be bumped from 1 to 2.
Comment 21 Mark Linimon freebsd_committer freebsd_triage 2014-06-02 01:58:01 UTC
Infrastructure PR.
Comment 22 commit-hook freebsd_committer 2014-06-21 21:44:59 UTC
A commit references this bug:

Author: mi
Date: Sat Jun 21 21:44:47 UTC 2014
New revision: 358748
URL: http://svnweb.freebsd.org/changeset/ports/358748

Log:
  Upgrade from 1.8 to 2.1

  PR:		184585
  Submitted by:	Adam Weinberger

Changes:
  head/graphics/jbigkit/Makefile
  head/graphics/jbigkit/distinfo
  head/graphics/jbigkit/files/patch-aa
  head/graphics/jbigkit/files/patch-ab
  head/graphics/jbigkit/files/patch-ac
  head/graphics/jbigkit/files/patch-warnings
  head/graphics/jbigkit/pkg-plist